Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFClientAnchor

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFAnchor
          org.apache.poi.xssf.usermodel.XSSFClientAnchor

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.ClientAnchor

    public final class XSSFClientAnchor

extends XSSFAnchor
implements org.apache.poi.ss.usermodel.ClientAnchor

A client anchor is attached to an excel worksheet. It anchors against top-left and bottom-right cells.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from interface org.apache.poi.ss.usermodel.ClientAnchor
`DONT_MOVE_AND_RESIZE, MOVE_AND_RESIZE, MOVE_DONT_RESIZE`

Constructor Summary
`XSSFClientAnchor()` Creates a new client anchor and defaults all the anchor positions to 0.
`XSSFClientAnchor(int dx1, int dy1, int dx2, int dy2, int col1, int row1, int col2, int row2)` Creates a new client anchor and sets the top-left and bottom-right coordinates of the anchor.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getAnchorType()` Gets the anchor type
`short` | `getCol1()`
`short` | `getCol2()`
`int` | `getDx1()`
`int` | `getDx2()`
`int` | `getDy1()`
`int` | `getDy2()`
`org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker` | `getFrom()` Return starting anchor point
`int` | `getRow1()`
`int` | `getRow2()`
`org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker` | `getTo()` Return ending anchor point
`boolean` | `isSet()`
`void` | `setAnchorType(int anchorType)` Sets the anchor type
`void` | `setCol1(int col1)`
`void` | `setCol2(int col2)`
`void` | `setDx1(int dx1)`
`void` | `setDx2(int dx2)`
`void` | `setDy1(int dy1)`
`void` | `setDy2(int dy2)`
`void` | `setRow1(int row1)`
`void` | `setRow2(int row2)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSSFClientAnchor

    public XSSFClientAnchor()

  Creates a new client anchor and defaults all the anchor positions to 0.

### XSSFClientAnchor

    public XSSFClientAnchor(int dx1,
                            int dy1,
                            int dx2,
                            int dy2,
                            int col1,
                            int row1,
                            int col2,
                            int row2)

  Creates a new client anchor and sets the top-left and bottom-right coordinates of the anchor.

  Parameters:
    `dx1` - the x coordinate within the first cell.
    `dy1` - the y coordinate within the first cell.
    `dx2` - the x coordinate within the second cell.
    `dy2` - the y coordinate within the second cell.
    `col1` - the column (0 based) of the first cell.
    `row1` - the row (0 based) of the first cell.
    `col2` - the column (0 based) of the second cell.
    `row2` - the row (0 based) of the second cell.

Method Detail

### getCol1

    public short getCol1()

  Specified by:
    `getCol1` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### setCol1

    public void setCol1(int col1)

  Specified by:
    `setCol1` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### getCol2

    public short getCol2()

  Specified by:
    `getCol2` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### setCol2

    public void setCol2(int col2)

  Specified by:
    `setCol2` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### getRow1

    public int getRow1()

  Specified by:
    `getRow1` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### setRow1

    public void setRow1(int row1)

  Specified by:
    `setRow1` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### getRow2

    public int getRow2()

  Specified by:
    `getRow2` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### setRow2

    public void setRow2(int row2)

  Specified by:
    `setRow2` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### getDx1

    public int getDx1()

  Specified by:
    `getDx1` in interface `org.apache.poi.ss.usermodel.ClientAnchor`
  Specified by:
    `getDx1` in class `XSSFAnchor`

### setDx1

    public void setDx1(int dx1)

  Specified by:
    `setDx1` in interface `org.apache.poi.ss.usermodel.ClientAnchor`
  Specified by:
    `setDx1` in class `XSSFAnchor`

### getDy1

    public int getDy1()

  Specified by:
    `getDy1` in interface `org.apache.poi.ss.usermodel.ClientAnchor`
  Specified by:
    `getDy1` in class `XSSFAnchor`

### setDy1

    public void setDy1(int dy1)

  Specified by:
    `setDy1` in interface `org.apache.poi.ss.usermodel.ClientAnchor`
  Specified by:
    `setDy1` in class `XSSFAnchor`

### getDy2

    public int getDy2()

  Specified by:
    `getDy2` in interface `org.apache.poi.ss.usermodel.ClientAnchor`
  Specified by:
    `getDy2` in class `XSSFAnchor`

### setDy2

    public void setDy2(int dy2)

  Specified by:
    `setDy2` in interface `org.apache.poi.ss.usermodel.ClientAnchor`
  Specified by:
    `setDy2` in class `XSSFAnchor`

### getDx2

    public int getDx2()

  Specified by:
    `getDx2` in interface `org.apache.poi.ss.usermodel.ClientAnchor`
  Specified by:
    `getDx2` in class `XSSFAnchor`

### setDx2

    public void setDx2(int dx2)

  Specified by:
    `setDx2` in interface `org.apache.poi.ss.usermodel.ClientAnchor`
  Specified by:
    `setDx2` in class `XSSFAnchor`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFrom

    public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker getFrom()

  Return starting anchor point

  Returns:
    starting anchor point

### getTo

    public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker getTo()

  Return ending anchor point

  Returns:
    ending anchor point

### setAnchorType

    public void setAnchorType(int anchorType)

  Sets the anchor type

  0 = Move and size with Cells, 2 = Move but don't size with cells, 3 = Don't move or size with cells.

  Specified by:
    `setAnchorType` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### getAnchorType

    public int getAnchorType()

  Gets the anchor type

  0 = Move and size with Cells, 2 = Move but don't size with cells, 3 = Don't move or size with cells.

  Specified by:
    `getAnchorType` in interface `org.apache.poi.ss.usermodel.ClientAnchor`

### isSet

    public boolean isSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD